package com.pixelai.api.component.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-10-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CpArticle", description="")
public class CpArticle implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "封面")
    private String photo;

    @ApiModelProperty(value = "正文id")
    private Integer textid;

    @ApiModelProperty(value = "文章类型,图文：0 外链：1 ")
    private Integer articletype;

    @ApiModelProperty(value = "文章外链")
    private String url;

    @ApiModelProperty(value = "标签类型id")
    private Integer cplabelid;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "发布者id,订单表或管理员表由发布者类型决定")
    private Integer authorid;

    @ApiModelProperty(value = "审核状态,审核通过:t 不通过:f 未审核:w")
    private String checkstate;

    @ApiModelProperty(value = "状态，t有效，f无效")
    private String state;

    @ApiModelProperty(value = "是否置顶")
    private Integer top;

    @ApiModelProperty(value = "浏览数")
    private Integer view;


}
