package com.pixelai.api.component.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.component.entity.CpMessage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-10-27
 */
public interface CpMessageService extends IService<CpMessage> {

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<CpMessage> list(CpMessage example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<CpMessage> page(CpMessage example, IPage page);

}
