package com.pixelai.api.group.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "功能", description = "")
public class AcAction implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "功能名称")
    private String name;

    @ApiModelProperty(value = "功能编码")
    private String action;

    @ApiModelProperty(value = "是否展示")
    private String show;

    @ApiModelProperty(value = "是否可编辑")
    private String edit;

    @ApiModelProperty(value = "关联模块表id")
    private Integer moduleid;

    @ApiModelProperty(value = "描述说明")
    private String description;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "排序号")
    private Integer actionnumber;

    @ApiModelProperty(value = "状态(“1”有效 “0”删除)")
    private String state;

    @ApiModelProperty(value = "访问链接")
    private String link;

    @ApiModelProperty("图标")
    private String icon;


}
