package com.pixelai.api.group.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.group.entity.AcGroup;
import com.pixelai.api.group.vo.AcGroupVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcGroupService extends IService<AcGroup> {

    /**
     * 条件查询
     *
     * @param example
     * @return
     */
    List<AcGroupVo> findByExample(AcGroupVo example);

    /**
     * 分页查询
     *
     * @param example
     * @param page
     * @return
     */
    Page<AcGroupVo> findByPage(AcGroupVo example, Page page);

    /**
     * 根据编码获取角色
     *
     * @param acgroup
     * @return
     */
    AcGroup findByAcgroup(String acgroup);
}
