package com.pixelai.api.group.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.group.entity.AcModule;
import com.pixelai.api.group.vo.AcModuleVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcModuleService extends IService<AcModule> {

    /**
     * 条件查询
     *
     * @param example
     * @return
     */
    List<AcModuleVo> findByExample(AcModuleVo example);

    /**
     * 分页查询
     *
     * @param example
     * @param page
     * @return
     */
    Page<AcModuleVo> findByPage(AcModuleVo example, Page page);

    /**
     * 根据角色类型id获取模块列表
     *
     * @param grouptypeid
     * @return
     */
    List<AcModule> findByGrouptypeid(Integer grouptypeid);

}
