package com.pixelai.api.log.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "访问记录")
public class AcVisits implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "操作人")
    private String acoperator;

    @ApiModelProperty(value = "角色组Id")
    private String grouptypeid;

    @ApiModelProperty(value = "操作人角色Id")
    private String usergroup;

    @ApiModelProperty(value = "访问页面")
    private String page;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "传递参数")
    private String params;

    @ApiModelProperty(value = "操作结果")
    private String result;

    @ApiModelProperty(value = "异常信息")
    private String error;


}
