package com.pixelai.api.log.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.log.entity.AcVisits;
import com.pixelai.api.log.vo.AcVisitsVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcVisitsService extends IService<AcVisits> {

    /**
     * 条件查询
     *
     * @param example
     * @return
     */
    List<AcVisitsVo> findByExample(AcVisitsVo example);

    /**
     * 分页查询
     *
     * @param example
     * @param page
     * @return
     */
    Page<AcVisitsVo> findByPage(AcVisitsVo example, Page page);

}
