package com.pixelai.api.pa.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaCreation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pixelai.api.pa.vo.PaCreationVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
public interface PaCreationMapper extends BaseMapper<PaCreation> {
    //查询个人作品
    List<PaCreationVo> findByExample(@Param(Constants.WRAPPER)QueryWrapper<PaCreationVo> paCreationVoQueryWrapper, Page page);

    //查询单个作品
    PaCreationVo findById(@Param("id") Integer id);

}
