package com.pixelai.api.pa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-12-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PaAiTryon", description="")
@NoArgsConstructor
@AllArgsConstructor
public class PaAiTryon implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

//    private Integer serviceId;

    private String imageUrl;

    private String topImageUrl;

    private String bottomImageUrl;

    private String targetUrl;

    private Integer creationId;

    public PaAiTryon(String imageUrl,String topImageUrl,String bottomImageUrl,String targetUrl,Integer creationId){
        this.imageUrl = imageUrl;;
        this.topImageUrl = topImageUrl;
        this.bottomImageUrl = bottomImageUrl;
        this.targetUrl = targetUrl;
        this.creationId = creationId;
    }

}
