package com.pixelai.api.pa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;
import org.apache.xmlbeans.impl.xb.xsdschema.Public;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="PaCreation", description="")
@NoArgsConstructor
public class PaCreation implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Integer userId;

    private String name;

    private Integer photoId;

    private Date createtime;

    @ApiModelProperty(value ="t生效，f删除，create生成中，fail生成失败")
    private String state;

    @ApiModelProperty(value ="阿里云任务id")
    private String taskId;

    @ApiModelProperty(value ="服务id")
    private Integer serviceId;

    public PaCreation(Integer userId, String name, Integer photoId){
        this.userId=userId;
        this.name=name;
        this.photoId=photoId;
        this.createtime=new Date();
        this.state="t";
    }

    public PaCreation(Integer userId, String name, Integer photoId,Integer serviceId,String state){
        this.userId=userId;
        this.name=name;
        this.photoId=photoId;
        this.createtime=new Date();
        this.serviceId=serviceId;
        this.state=state;
    }

}
