package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.PaServices;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-12-04
 */
public interface PaServicesService extends IService<PaServices> {
    /**
     * 根据id查询服务
     * @return
     */
    PaServices getServiceById(Integer id);
    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaServices> list(PaServices example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaServices> page(PaServices example,IPage page);

}
