package com.pixelai.api.pa.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.PaVipCurrency;
import com.baomidou.mybatisplus.extension.service.IService;
import com.pixelai.api.user.entity.AcUser;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gjj
 * @since 2024-12-04
 */
public interface PaVipCurrencyService extends IService<PaVipCurrency> {

    /**
     * 为当前用户扣除钻石
     * @param money
     * @return
     */
    Boolean consume(Integer userId,Integer money);

    /**
     * 条件查询
     * @param example
     * @return
     */
    List<PaVipCurrency> list(PaVipCurrency example);

    /**
     * 分页查询
     * @param example
     * @param page
     * @return
     */
    IPage<PaVipCurrency> page(PaVipCurrency example,IPage page);

}
