package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.PaCollection;
import com.pixelai.api.pa.dao.PaCollectionMapper;
import com.pixelai.api.pa.service.PaCollectionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
@Service
public class PaCollectionServiceImpl extends ServiceImpl<PaCollectionMapper, PaCollection> implements PaCollectionService {

    @Override
    public List<PaCollection> list(PaCollection example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<PaCollection> page(PaCollection example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaCollection> buildWrapper(PaCollection example) {
        QueryWrapper<PaCollection> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
