package com.pixelai.api.picture.vo;

import com.pixelai.api.component.entity.CpPhoto;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

@Data
public class AiPictureVo {
    @ApiModelProperty(value = "应用服务id")
    private Integer serviceId;

    @ApiModelProperty(value = "文生本类型--文本")
    private String text;

    @ApiModelProperty(value = "模式选择")
    private String option;

    @ApiModelProperty(value = "提示词")
    private String promt;

    @ApiModelProperty(value = "主图像url")
    private String imageUrl;

    @ApiModelProperty(value = "换衣-上衣url")
    private String topImageUrl;

    @ApiModelProperty(value = "换衣-下衣url")
    private String bottomImageUrl;

}
