package com.pixelai.api.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.user.entity.MbMember;
import com.pixelai.api.user.dao.MbMemberMapper;
import com.pixelai.api.user.service.MbMemberService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-11-10
 */
@Service
public class MbMemberServiceImpl extends ServiceImpl<MbMemberMapper, MbMember> implements MbMemberService {

    @Override
    public List<MbMember> list(MbMember example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<MbMember> page(MbMember example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<MbMember> buildWrapper(MbMember example) {
        QueryWrapper<MbMember> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
