package com.pixelai.api.base.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author mzl
 * @since 2020-11-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "消息", description = "")
public class SysMessage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "收件人id")
    private Integer userid;

    @ApiModelProperty(value = "发送人id")
    private Integer sendUserId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "消息类型")
    private MessageType type;

    @ApiModelProperty(value = "消息内容")
    private String message;

    @ApiModelProperty(value = "跳转地址")
    private String link;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "阅读状态(“1”已读 “0”未读)")
    private String readstate;

    @ApiModelProperty(value = "阅读时间")
    private Date readtime;

    @ApiModelProperty(value = "状态(“1”有效 “0”删除)")
    private String state;


}
