package com.pixelai.api.log.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.log.entity.AcVisits;
import com.pixelai.api.log.vo.AcVisitsVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author mzl
 * @since 2020-07-09
 */
public interface AcVisitsMapper extends BaseMapper<AcVisits> {


    /**
     * 条件查询
     *
     * @param queryWrapper
     * @return
     */
    List<AcVisitsVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<AcVisitsVo> queryWrapper);

    /**
     * 条件查询
     *
     * @param page
     * @param queryWrapper
     * @return
     */
    List<AcVisitsVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<AcVisitsVo> queryWrapper, Page page);

}
