package com.pixelai.api.od.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="OdOrder", description="")
public class OdOrder implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "订单ID")
    private Integer memberid;

    @ApiModelProperty(value = "订单号")
    private String orderNum;

    @ApiModelProperty(value = "支付人账号")
    private String memberAccount;

    @ApiModelProperty(value = "商家账号")
    private String merchantAccount;

    @ApiModelProperty(value = "支付金额")
    private String amount;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createtime;

    @ApiModelProperty(value = "支付用途")
    private String paOrderType;

    @ApiModelProperty(value = "支付状态")
    private String paymenStatus;

    @ApiModelProperty(value = "支付结果")
    private String result;

    @ApiModelProperty(value = "状态,t,f")
    private String state;


}
