package com.pixelai.api.pa.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.pixelai.api.pa.entity.PaRecommend;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pixelai.api.pa.vo.PaCreationVo;
import com.pixelai.api.pa.vo.PaRecommendVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author gjj
 * @since 2024-12-05
 */
public interface PaRecommendMapper extends BaseMapper<PaRecommend> {
    //查询推荐作品
    List<PaRecommendVo> findByExample(@Param(Constants.WRAPPER) QueryWrapper<PaRecommendVo> paCreationVoQueryWrapper, Page page);

}
