package com.pixelai.api.pa.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author gjj
 * @since 2024-12-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="MbConsumption", description="")
@NoArgsConstructor
@AllArgsConstructor
public class MbConsumption implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "用户id")
    private Integer userId;

    @ApiModelProperty(value = "货币id")
    private Integer currencyId;

    @ApiModelProperty(value = "变动类型，充值/消费/")
    private String type;

    @ApiModelProperty(value = "加减")
    private String addOrSub;

    @ApiModelProperty(value = "数值")
    private Integer value;

    @ApiModelProperty(value = "描述")
    private String description;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "状态")
    private String state;

    public MbConsumption(Integer userId,String type,String addOrSub,Integer value,String description){
        this.userId=userId;
        this.type=type;
        this.addOrSub=addOrSub;
        this.value=value;
        this.description=description;
        this.createtime=new Date();
        this.state="t";
    }
}
