package com.pixelai.api.pa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.pixelai.api.pa.entity.PaServiceOption;
import com.pixelai.api.pa.dao.PaServiceOptionMapper;
import com.pixelai.api.pa.service.PaServiceOptionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gjj
 * @since 2024-12-08
 */
@Service
public class PaServiceOptionServiceImpl extends ServiceImpl<PaServiceOptionMapper, PaServiceOption> implements PaServiceOptionService {

    @Override
    public List<PaServiceOption> list(PaServiceOption example) {
        return this.list(buildWrapper(example));
    }

    @Override
    public IPage<PaServiceOption> page(PaServiceOption example, IPage page) {
        return this.page(page,buildWrapper(example));
    }

    /**
     * 构建查询
     *
     * @param example
     * @return
     */
    private QueryWrapper<PaServiceOption> buildWrapper(PaServiceOption example) {
        QueryWrapper<PaServiceOption> wrapper     = new QueryWrapper<>();
        return wrapper;
    }

}
