package com.pixelai.api.user.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.pixelai.api.user.entity.AcLoginlog;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author mzl
 * @since 2021-05-20
 */
public interface AcLoginlogMapper extends BaseMapper<AcLoginlog> {

    /**
     * 获取最后的成功记录
     *
     * @param username
     * @return
     */
    AcLoginlog findLastSuccessByUsername(@Param("username") String username);

}
