package com.pixelai.api.user.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author mzl.
 */
@Data
@ApiModel
public class RegisterStudentVo {

    @ApiModelProperty("账号")
    private String username;

    @ApiModelProperty("关联角色表id")
    private Integer acgroup;

    @ApiModelProperty("订单类型")
    private Integer usertype;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "学号")
    private Integer studentid;

    @ApiModelProperty(value = "性别，男：1 女：0")
    private String gender;

    @ApiModelProperty(value = "身份证")
    private String idcard;

    @ApiModelProperty(value = "考号")
    private String examineenum;

    @ApiModelProperty(value = "图片")
    private String picture;

}
