package com.pixelai.utils;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * 字符串工具类
 * @Author mzl.
 */
public class RegexUtils {

    /**
     * 正则表达式匹配两个指定字符串中间的内容
     * @param soap
     * @return
     */
    public static List<String> getSubUtil(String soap, String rgex){
        List<String> list = new ArrayList<>();
        /** 匹配的模式 */
        Pattern pattern = Pattern.compile(rgex);
        Matcher m = pattern.matcher(soap);
        while (m.find()) {
            int i = 1;
            list.add(m.group(i));
            i++;
        }
        return list;
    }

    /**
     * 正则表达式分割字符串
     * @param soap
     * @param rgex
     * @return
     */
    public static List<String> getSplit(String soap,String rgex){
        /** 匹配的模式 */
        String[] strings=soap.split(rgex);
        List<String> list= Arrays.asList(strings);
        return list;
    }

}
